%global debug_package %{nil}

Name:           vkQuake2
Version:        1.5.8
Release:        3%{?dist}
Summary:        vkQuake2 is a port of id Software's Quake2 using Vulkan

License:        gpl2
URL:            https://github.com/kondrak/vkQuake2
Source0:        %{name}-%{version}.tar.gz
Source1:	      %{name}.desktop
Source2:        vkquake2

BuildRequires:  make, vulkan-headers, gcc, gcc-c++
BuildRequires:  SDL2-devel, alsa-lib-devel, libXxf86dga-devel, libXxf86vm-devel, mesa-libGLU-devel

%{?fc36:BuildRequires: 	vulkan-loader-devel}
%{?fc35:BuildRequires: 	mesa-vulkan-devel}
%{?el8:BuildRequires: 	vulkan-loader-devel}
%{?el9:BuildRequires: 	vulkan-loader-devel}

%description
This is the official Quake 2 code v3.21 with Vulkan support and mission packs included. The goal of this project is to maintain as much compatibility as possible with the original game - just pure, vanilla Quake 2 experience as we knew it back in 1997. There are, however, a few notable differences that made the cut for various reasons.

%prep
%autosetup


%build
cd linux
make release -j %(nproc)


%install
cd linux/releasex64
mkdir -p $RPM_BUILD_ROOT/usr/games/vkquake2
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv * $RPM_BUILD_ROOT/usr/games/vkquake2


# desktop entry
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -p -T -m 644 \
             %{SOURCE1} \
             $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
             
# icon
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons
%{__install} -p -T -m 644 \
             %{_builddir}/%{name}-%{version}/%{name}.png \
             $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png

# shell script to launch game
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%{__install} -p -T -m 755 \
             %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/vkquake2


%files
%{_bindir}/vkquake2
/usr/games/vkquake2/*
%{_datadir}/icons/vkQuake2.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Jun 18 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-3
- Fixed things for EL8, EL9

* Sat Jun 18 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-2
- Fixed things for Fedora 36

* Wed Apr 06 2022 Andrew Schott <andrew@schotty.com> - 1.5.8-1
- Initial spec
